// defines
#define CLOCK_TICK			54	// hardware timer freq. (ms)
#define VIEWPORT_WIDTH		640
#define VIEWPORT_HEIGHT		480
#define VIEWPORTMINX		50
#define VIEWPORTMINY		200
#define MAX_BRIGHT			255
#define MIN_BRIGHT			0
#define NORM_BRIGHT			150
#define MINSTARBRIGHT		MIN_BRIGHT
#define MAXSTARBRIGHT		MAX_BRIGHT
#define SUNVISIBLE			TRUE
#define SUNPRESENT			TRUE
#define SUNSPIN				0
#define SUNXPOS				((float)VIEWPORT_WIDTH/(float)2)
#define SUNYPOS				((float)VIEWPORT_HEIGHT/(float)2)
#define SUNGRAVITY			-1000
#define ATTRACTMODE_SUNGRAVITY	-500
#define SHIPPLAYER1STARTFROMMARGIN	7
#define SHIPPLAYER2STARTFROMMARGIN	7
#define SHIPPLAYER1STARTROT			(270*4)
#define SHIPPLAYER2STARTROT			(90*4)
#define ASTEROIDSTARTROT			(0*4)
#define SHIPPLAYER1BRIGHTNESS		NORM_BRIGHT
#define SHIPPLAYER2BRIGHTNESS		NORM_BRIGHT
#define ASTEROIDROTSPEED			(0*4)
#define FLAMEPLAYER1BRIGHTNESS		MAX_BRIGHT
#define FLAMEPLAYER2BRIGHTNESS		MAX_BRIGHT
#define SHIPPLAYER1HYPERTIME		20	
#define SHIPPLAYER2HYPERTIME		20
#define REENTRYMAXPROB				75
#define REENTRYMINPROB				20
#define REENTRYPROBDECREASE			10
#define EXPLODEINITIALBRIGHTNESS	MAX_BRIGHT
#define EXPLODESECONDARYBRIGHTNESS	NORM_BRIGHT
#define EXPLODELIFETIME				75
#define EXPLOSIONFADE				0
#define	EXPLODEPAUSETIME			15
#define SOUNDENABLED				TRUE
#define MUSICENABLED				TRUE
#define	SCREENOFFLEFTMARGIN			10
#define SCREENOFFTOPMARGIN			10
#define SCREENOFFRIGHTMARGIN		10
#define SCREENOFFBOTTOMMARGIN		10
#define	SCREENINLEFTMARGIN			10
#define SCREENINTOPMARGIN			10
#define SCREENINRIGHTMARGIN			10
#define SCREENINBOTTOMMARGIN		10
#define MISSILEBRIGHTNESS			MAX_BRIGHT
#define PLAYER1SIMULMISSILES		4
#define PLAYER2SIMULMISSILES		4
#define MOMENTUM					TRUE
#define DRAG						FALSE
#define DEBRISSPINRANGE				0 // was 10
#define DEBRISDIRECTIONVAR			(5*4) // was 25*4
#define DEBRISMAXSPEED				(1) // was .75
#define ASTEROIDFREQUENCY			555
#define ASTEROIDSPEED				1
#define ASTEROIDBRIGHTNESS			MAX_BRIGHT
#define SHIPPLAYER1MASS				2
#define SHIPPLAYER2MASS				2
#define ASTEROIDMASS				3
#define MISSILEMASS					(.75)
#define DEBRISMASS					4
#define ROUNDINITIALTIME			90
#define PLAYER1FUELCONSUMPTION		(.5)
#define PLAYER2FUELCONSUMPTION		(.5)
#define DAMAGEFLASHTIME				5
#define DAMAGEFLASHBRIGHTNESS		MAX_BRIGHT
#define SUNDISTCLAMP				(20.0)
#define FRAGTIME					7
#define ATTRACTTIME					20
#define ATTRACTMODEGRACTIME			30
#define EDGEMODE					EDGEACT_WRAP
#define INVERSEGRAVITY				FALSE
#define SUNMINBRIGHT				NORM_BRIGHT
#define SUNMAXBRIGHT				MAX_BRIGHT
#define SUNANIMATERATE				15
#define SHIPROTSPEED				(10*4)
#define SHIPMAXSPEED				8
#define SHIPACCEL					.5
#define SHIPDECEL					0.1001
#define INITIALFUELAMOUNT			250
#define INITIALNUMMISSILES			18
#define MISSILELIFETIME				45
#define MISSILESPEED				10


#define KEYDEFPLAYER1LEFT			'Z'
#define KEYDEFPLAYER1RIGHT			'X'
#define KEYDEFPLAYER1FIRE			'V'
#define KEYDEFPLAYER1THRUST		'C'
#define KEYDEFPLAYER1HYPER			'F'
#define KEYDEFPLAYER2LEFT			'N'
#define KEYDEFPLAYER2RIGHT			'M'
#define KEYDEFPLAYER2FIRE			''
#define KEYDEFPLAYER2THRUST		''
#define KEYDEFPLAYER2HYPER			'L'
#define KEYDEFRESETGAME				' '
#define	KEYDEFMINIMIZE				0x1b
#define	KEYDEFPAUSE					'P'
#define KEYDEFSTARTGAME				'S'
